Caribbean Leadership Development Program

Program OverviewStudent

The U.S. Office of Personnel Management Center for Leadership Development is pleased to announce the Class of 2018 Caribbean Leadership Development Program (CRBLDP).  This innovative program is designed to meet the leadership development needs of selected federal professionals at the GS-13 - GS-14 level, as well as high potential GS-12’s, or equivalent, who work in federal, state or local government organizations located in the Caribbean.  The CRBLDP has been designed as a six month program to fulfill the leadership development needs of federal leaders in the region (Puerto Rico and the U.S. VIrgin Islands).

The program is based on a “whole person” model comprised of four dimensions:  intellectual, emotional, physical, and behavioral.  The curriculum combines this model with specific monthly sessions taught by highly-skilled professional facilitators which focus on development of the OPM Leadership Competencies or ECQs.  Research has shown that development of these competencies is essential to success in senior-level public sector leadership positions.

The CRBLDP is one of several very successful Regional Leadership Development Programs already offered by OPM since 2000. The programs include the Colorado Leadership Development Program (CLDP) in Denver, Colorado; the Kansas City Leadership Development Program (KCLDP) in Kansas City, Missouri; the New England Leadership Development Program (NELDP) in Bedford, Massachusetts; the New Mexico Leadership Development Program  (NMLDP) in Albuquerque, New Mexico; the South Central Leadeship Development Program (SCLDP) in Oklahoma City, Oklahoma; and the Utah Leadership Development Program (ULDP) in Salt Lake City, UT. 

The Class of 2018 Caribbean Leadership Development Program is scheduled to begin with a three-day Orientation session on March 20–22, 2018. Interested applicants must submit the required nomination package by January 25, 2018 (see section below on “How to Apply”). If your agency has an internal selection process, make sure you follow the agency guidelines and forward your nomination form to the appropriate agency point of contact.

Program Design

Program Orientation

The program features a unique six-month format that begins with an intense three-day orientation focused on self-awareness and understanding. During orientation, psychological and behavioral assessments (MBTI and OPM Leadership 360), experiential activities, discussion groups and presentations provide participants with an opportunity to explore and develop awareness of their strengths and areas for potential development.

Monthly Sessions

Throughout the remainder of the program, monthly facilitated topic sessions are focused on delivery of content and activities designed to build on strengths and develop challenge areas. A number of additional assessments are conducted throughout the program to explore aspects of emotional intelligence, conflict management, ethical type, among others, to further explore self-awareness and promote opportunities for personal growth and development.

Professional Coaching

Six hours of one-on-one individual consultations with a professional executive coach are conducted to guide the participant’s development over the course of the program. This aspect of the program has been shown to facilitate assimilation of content, personal transformation and development, and transference of learning.

Individual Development Plan and Developmental Activities

After the Orientation, participants return to their organizations and begin work on their Individual Development Plan and a Developmental Activity Plan for one or more action learning or developmental activities. Implementation of the Developmental Activity Plan takes place throughout the six months of the program, and a final report is due at the end of the program. The selected development activity should provide the participant with an opportunity to stretch and develop their challenge areas and is to be tailored around both a personal/professional road map and the needs of the participant’s organization. 

Career Development Session and Graduation

The six-month program concludes with a two-day meeting where participants will engage in a Career Development session and a culminating event encompassing all aspects of the program, assess personal and professional growth and results, develop a plan for continuing to build on the successes they have achieved, and celebrate their accomplishments.

Program Benefits

  • Participants in the program represent an expansive cross-section of civilian and military agencies and organizations. This inter-agency perspective provides participants with an opportunity to network with and gain peer support from professionals from other agencies to enhance the learning process and the value of the CRBLDP experience.                   
  • Locally held sessions reduce TDY costs and time away from the jobs.
  • Provides participants with a convenient venue for participation in premier learning and development opportunities.
  • Based on feedback from past participants and their supervisors, the program presents a tremendous opportunity that significantly contributes to organizational leadership capabilities, career development, and personal growth. Feedback from participants demonstrates that the program has provided them with transformative benefits not experienced in their prior professional development training. These include greater flexibility in leadership style; increased skill in recognizing the differences between individuals in the workplace; the ability to see things from different perspectives and to successfully take action; greater risk taking initiative; and unique opportunities to integrate prior training experiences.

Testimonials from LDP Graduates:


The amount of very high quality and well presented information ... the experience of interacting with the other participants has changed my approach to the world, both professionally and personally, in a very positive way.”

“Every class provided knowledge, insight, tools, and techniques that are applicable to my work and to my life. Specifically, the concept of self-awareness and an awareness of others’ individual strengths, characteristics, personality, and differences and adapting one’s own communication and approach to these areas and was a key program learning for me.”

“I loved the fact that classes were local so I didn’t have to spend so much time away from work. I loved the pace, having a month between sessions allowed me to put what I learned to use before having to learn something new. The coaching was invaluable in helping me learn about myself and build my confidence.”

Program Schedule

(Sessions hours are 8:00-4:30, unless otherwise noted)

Program Orientation: Understanding Self and Others March 20-22, 2018
Participant's Supervisor Orientation* March 23, 2018
Building an Inclusive and High-Performing Team April 25-26, 2018
Emotional Intelligence May 22, 2018
Neuroscience: Leadership and Innovation May 23. 2018
Mastering Peak Performance: The Mind-Body Connection May 24, 2018
Coaching Skills for Leaders June 20, 2018
Leading Change and Driving Results: Becoming a Change Agent June 21, 2018
Leading at the Speed of TrustJuly 24-25, 2018
Managing ConflictJuly 26, 2018
Enhancing Your Career August 22, 2018
Course Review/Graduation August 23, 2018

Please note: Participants must be able to commit to attending all sessions. Attendance at Orientation is mandatory.

*Supervisors only; attendance is highly encouraged. This session is to provide supervisors with information to support their participant’s leadership journey.

Tuition

Tuition, to be paid by your agency, for the CRBLDP 2018 is $6,650. This includes 15 days of training and development, the administration of at least six assessment instruments, and six hours of one-on-one professional coaching sessions.

LocationPuerto Rico Skyline

All program sessions will be held in San Juan, Puerto Rico.


How to Apply

Interested applicants should complete the nomination form (obtain the necessary supervisory and organizational approvals). 

Applicants should have the Nomination Form submitted in accordance with their agency requirements to OPM's Regional LDP Program Manager, Marangeli Munoz-Muetzel, at Marangeli.Munoz@opm.gov.  You may also reach Marangeli by phone at 202-590-3169. In the email subject line, please use the following title - "2018 CRBLDP Nomination for (insert name)."


Completed and approved nomination applications must be received by the nomination deadline, January 25, 2018. Qualified nominees will be accepted on a first come, first served basis, so to ensure a seat, please submit your nomination as early as possible. The maximum class enrollment will be 20 participants.  Once the class is full, all remaining nominees will be placed on a waiting list.

Following a review of the nominations, accepted applicants will be provided with a notice of selection, the registration package and tuition payment information.

Important Deadlines

Submission of Nomination Form                                         January 25, 2018
Acceptance Notification      February 15, 2018


Registration and Payment Due Date February 22, 2018
Program Start Date March 20, 2018
Program Graduate Date August 23, 2018






Contact Information

 

Marangeli Munoz-Muetzel, Ph.D.

  • Phone: 202-590-3169
 Robert Jenks, MA
  • Phone: 202-271-0470


Back

Last modified: Monday, June 19, 2017, 5:47 AM